List timesheet logs
GET/api/timesheet-logs
Required permissions:
- report.view_timesheet: allows view of timesheet logs.
Here the dedicated support page.
Request
Query Parameters
- Equal
- Not equal
- Greater than
- Greater than or equal
- Less than
- Less than or equal
- In list
- Not in list
- Between
- Ascending
- Descending
- Equal
- Not equal
- Greater than
- Greater than or equal
- Less than
- Less than or equal
- In list
- Not in list
- Between
Possible values: >= 1
Filter items by the person_id field.
Filter items by the date field.
Usage: eq:{value}
Usage: neq:{value}
Usage: gt:{value}
Usage: gte:{value}
Usage: lt:{value}
Usage: lte:{value}
Usage: in:{value_1},{value_2},{value_3}
Usage: nin:{value_1},{value_2},{value_3}
Description: The given values are inclusive.
Usage: bt:{value_min},{value_max}
Possible values: >= 1
Filter items by the project_id field.
Possible values: >= 1
Filter items by the to_project_id field.
Possible values: [DAILY, WEEKLY, DETAILED]
Filter items by the mode field.
Possible values: [created_at, +created_at, -created_at, date, +date, -date]
Default value: -created_at
Order the results by a specific attribute. If no operator is provided, the default order is ascending.
Description: Sort in ascending order.
Usage: +{field}
Description: Sort in descending order.
Usage: -{field}
Possible values: >= 1 and <= 100
Default value: 100
The number of items to include in the response.
Default value: 0
The offset of the first returned item.
Filter items by the updated_at field.
Usage: eq:{value}
Usage: neq:{value}
Usage: gt:{value}
Usage: gte:{value}
Usage: lt:{value}
Usage: lte:{value}
Usage: in:{value_1},{value_2},{value_3}
Usage: nin:{value_1},{value_2},{value_3}
Description: The given values are inclusive.
Usage: bt:{value_min},{value_max}
Header Parameters
The company you want to interact with
The API version you want to use
Responses
- 200
- 400
- 401
- 403
- 412
Returns the list of timesheet logs.
- application/json
- Schema
- Example (from schema)
Schema
Array [
]
Possible values: >= 1
The unique identifier of the resource
The date and time when the resource was created
The date and time when the resource was last updated
The ID of the person related to the timesheet
The date of the timesheet
The ID of the project related to the timesheet
The ID of the project to which the timesheet was moved
Possible values: [DAILY, WEEKLY, DETAILED]
The mode of the timesheet
The previous hours set for the given date, project and person
The new hours set for the given date, project and person
The ID of the person who changed the timesheet
[
{
"id": 1,
"created_at": "2026-03-27T11:39:29.411Z",
"updated_at": "2026-03-27T11:39:29.411Z",
"person_id": 1,
"date": "2024-06-15",
"project_id": 1,
"to_project_id": 2,
"mode": "DAILY",
"from_hours": 8,
"to_hours": 8,
"author_id": 2
}
]
Validation failed
- application/json
- Schema
- Example (from schema)
Schema
Array [
]
Error unique key
Human-readable message describing the error
failures
object[]
List of validation errors
Name of the field causing the error
Human-readable description of the error
{
"key": "invalid_data",
"message": "You provided invalid data. Check 'failures' for details.",
"failures": [
{
"field": "string",
"message": "string"
}
]
}
Unauthorized
- application/json
- Schema
- Example (from schema)
Schema
Error unique key
Human-readable message describing the error
{
"key": "string",
"message": "string"
}
Forbidden
- application/json
- Schema
- Example (from schema)
Schema
Error unique key
Human-readable message describing the error
{
"key": "string",
"message": "string"
}
Precondition failed
- application/json
- Schema
- Example (from schema)
Schema
Error unique key
Human-readable message describing the error
{
"key": "precondition_failure",
"message": "string"
}